=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
Package: rkward
Type: Package
Title: Provides functions related to the RKWard GUI
Description: This package contains functions which are useful in combination with the RKWard GUI. Many of these functions are only needed for the internal communication between
                    RKWard and R, but some are also useful in user scripts.
Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net> and the RKWard Team <rkward-devel@kde.org>
Maintainer: RKWard-devel mailing list <rkward-devel@kde.org>
Depends: R (>= 2.9.0),methods
Suggests: Cairo,googleVis,htmlwidgets,lattice,R2HTML
URL: https://rkward.kde.org
BugReports: https://rkward.kde.org/Bugs.html
License: GPL (>= 2)
Encoding: UTF-8
LazyLoad: yes
Authors@R: c(person(given="Thomas", family="Friedrichsmeier", email="thomas.friedrichsmeier@kdemail.net", role=c("aut")), person(given="the RKWard", family="team",
                    email="rkward-devel@kde.org", role=c("cre","aut")))
Version: 0.8.0
Date: 2024-07-25
RoxygenNote: 7.3.2
Collate: 
    'base_overrides.R'
    'internal.R'
    'internal_debugger.R'
    'internal_graphics.R'
    'internal_help.R'
    'public_graphics.R'
    'rk.KDE_GUI-functions.R'
    'rk.check.for.pandoc.R'
    'rk.completion-functions.R'
    'rk.demo.R'
    'rk.download_appimage.R'
    'rk.edit-functions.R'
    'rk.filename-functions.R'
    'rk.label-functions.R'
    'rk.output.R'
    'rk.plugin-functions.R'
    'rk.print-functions.R'
    'rk.replace.function.R'
    'rk.sessionInfo.R'
    'rk.sync-functions.R'
    'rk.utility-functions.R'
    'rk.workspace-functions.R'
    'rkward-package.R'
    'ver.R'
