=== debian/changelog ===
rkward (0.8.0-4.1~deb13u1) trixie; urgency=medium

  * Non-maintainer upload.
  * Rebuild for trixie.

 -- Adrian Bunk <bunk@debian.org>  Tue, 29 Jul 2025 17:20:42 +0300

rkward (0.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fixes for R 4.5. (Closes: #1103204)

 -- Adrian Bunk <bunk@debian.org>  Mon, 30 Jun 2025 15:53:42 +0300

rkward (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Simplify GPL license text in debian/copyright.
  * Use the system version of kdsingleapplication:
    - backport upstream commit 997c8a7280fe0f99a29465f67b56fd001cdac4e1; patch
      upstream_Make-it-possible-to-build-against-system-kdsingleapp.patch
    - add the libkdsingleapplication-qt6-dev build dependency

 -- Pino Toscano <pino@debian.org>  Fri, 11 Apr 2025 04:57:31 +0200

rkward (0.8.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + rkward-data: Add Multi-Arch: foreign.

  [ Pino Toscano ]
  * Backport upstream commit 5dc679244f7edc3f15526a4b708e370cb1d4533d to set
    file modes for the R packages; patch
    upstream_Also-set-file-modes-when-creating-reproducible-archi.patch.
  * Tweak tests-disable-encodingtest.diff once more to unconditionally disable
    the assertion: it seems it fails in random setups/scenarios, and it is not
    possible for me to determine what goes on or debug why.

 -- Pino Toscano <pino@debian.org>  Tue, 11 Feb 2025 20:12:08 +0100

rkward (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Tweak tests-disable-encodingtest.diff to XFAIL only when not running on the
    Debian buildds, as the test seems to pass only there (causing XPASS which
    is considered as a test failure).

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2025 15:37:08 +0100

rkward (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove libkf5archive-dev, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5doctools-dev, libkf5i18n-dev,
      libkf5notifications-dev, libkf5parts-dev, libkf5texteditor-dev,
      libkf5xmlgui-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      qtwebengine5-dev, qtbase5-dev, and qtdeclarative5-dev
    - add qt6-base-dev, qt6-5compat-dev, qt6-declarative-dev, qt6-webengine-dev,
      libkf6archive-dev, libkf6breezeicons-dev, libkf6config-dev,
      libkf6coreaddons-dev, libkf6crash-dev, libkf6doctools-dev, libkf6i18n-dev,
      libkf6notifications-dev, libkf6parts-dev, libkf6texteditor-dev,
      libkf6widgetsaddons-dev, libkf6windowsystem-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.20.0
    - bump extra-cmake-modules to 6.0.0
    - add test-only kf6-breeze-icon-theme, and qt6-svg-plugins
  * Switch the kf5 dh addon to kf6.
  * Do not install the upstream README as documentation, as it is not provide
    a lot of content for users.
  * Update the patches:
    - upstream_Fix-not-a-string-literal-compile-error.patch: drop, backported
      from upstream
    - upstream_Fix-compilation.patch: drop, backported from upstream
  * Allow one assertion in a specific test (encodingTest()) to fail for now;
    unclear why to me.
  * Update install files.
  * Tweak filename in copyright.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2025 13:26:26 +0100
