## rkward 0.8.1

=== debian/changelog ===
rkward (0.8.1-0zneon+24.04+noble+release+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:36:14 +0000

rkward (0.8.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 27 Apr 2025 20:37:17 +0000

rkward (0.8.0-0neon) focal; urgency=medium

  * Team upload.
  * Backport upstream commit b53d754f18bef786e92f266f576afdbe5fd7d00b, and
    commit ded0472b90c398adc05a7fed1b6446417789ba58 to build with newer versions
    of R; patches upstream_Fix-not-a-string-literal-compile-error.patch, and
    upstream_Fix-compilation.patch. (Closes: #1071360)
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 28 May 2024 07:28:08 +0200
