=== debian/control ===
Source: rkward
Uploaders: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>,
           Dylan Aïssi <daissi@debian.org>
Section: math
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-breeze-icon-theme-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-webengine-dev,
               r-base-dev
Standards-Version: 4.6.2
Homepage: https://rkward.kde.org
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/rkward.git
Vcs-Browser: https://invent.kde.org/neon/extras/rkward
Maintainer: Neon CI <neon@kde.org>

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}),
         ${misc:Depends},
         ${rapivers},
         ${rgraphicsenginevers},
         ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.
