## rkward 0.8.1+p24.04+vstable+git20250928.0731

=== debian/changelog ===
rkward (0.8.1+p24.04+vstable+git20250928.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 07:31:54 +0000
