=== rkward/rbackend/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	FIND_PACKAGE(Threads)
 ENDIF(NOT WIN32)
 
-SET(DLOPEN_RLIB 1) # TODO: Allow configuration
+IF(NOT DEFINED DLOPEN_RLIB)
+	SET(DLOPEN_RLIB 1)
+ENDIF()
 ADD_SUBDIRECTORY( rpackages )
 ADD_SUBDIRECTORY( rkwarddevice )
 
@@ -66,13 +68,21 @@
     TARGET_LINK_LIBRARIES(rkward.rbackend.lib "-framework CoreFoundation")
   ENDIF()
 
-  ADD_EXECUTABLE(rkward.rbackend rkrbackend_dlopen.cpp)
+  IF(WIN32)
+    ADD_EXECUTABLE(rkward.rbackend rkrbackend_dlopen.cpp winutf8.manifest)
+  ELSE()
+    ADD_EXECUTABLE(rkward.rbackend rkrbackend_dlopen.cpp)
+  ENDIF()
   IF(NOT WIN32)
     TARGET_LINK_LIBRARIES(rkward.rbackend dl)
   ENDIF()
 ELSE(${DLOPEN_RLIB})
   LINK_DIRECTORIES(${R_SHAREDLIBDIR})
-  ADD_EXECUTABLE(rkward.rbackend ${rbackend_backend_SRCS} ${rbackend_shared_SRCS})
+  IF(WIN32)
+    ADD_EXECUTABLE(rkward.rbackend ${rbackend_backend_SRCS} ${rbackend_shared_SRCS})
+  ELSE()
+    ADD_EXECUTABLE(rkward.rbackend ${rbackend_backend_SRCS} ${rbackend_shared_SRCS} winutf8.manifest)
+  ENDIF()
   TARGET_LINK_LIBRARIES(rkward.rbackend rkgraphicsdevice.backend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT} Qt6::Network Qt6::Core KF6::I18n)
 ENDIF(${DLOPEN_RLIB})
 ECM_MARK_NONGUI_EXECUTABLE(rkward.rbackend)
