=== debian/changelog ===
rkward (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Also-set-file-modes-when-creating-reproducible-archi.patch:
      drop, backported from upstream
    - upstream_Make-it-possible-to-build-against-system-kdsingleapp.patch:
      drop, backported from upstream
    - tests-disable-encodingtest.diff: drop, hopefully no more needed
    - 0001-Adjust-to-the-removal-of-Rf_addTaskCallback-in-R-dev.patch: drop,
      backported from upstream
    - 0002-Adjust-to-hiding-for-R_checkActivityEx-in-R-devel-fo.patch: drop,
      backported from upstream
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2025 15:59:52 +0200
